be.ehealth.businessconnector.ehbox.v3.exception

## Class EhboxCryptoException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - be.ehealth.technicalconnector.exception.ConnectorException
      - - be.ehealth.technicalconnector.exception.TechnicalConnectorException
        - - be.ehealth.businessconnector.ehbox.v3.exception.EhboxCryptoException

- All Implemented Interfaces:
    Serializable

      public class EhboxCryptoException
      extends TechnicalConnectorException

  Exception for the crypto problem in ehboxv3
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EhboxCryptoException(List<UnsealConnectorException> exceptions, Message ehBoxMessage)`
    `EhboxCryptoException(UnsealConnectorException exception, Message ehBoxMessage)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Message` | `getEhBoxMessage()`
    `List<UnsealConnectorException>` | `getExceptions()`

    - ### Methods inherited from class be.ehealth.technicalconnector.exception.TechnicalConnectorException

      `getCategory`

    - ### Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException

      `getErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EhboxCryptoException

          public EhboxCryptoException(List<UnsealConnectorException> exceptions,
                                      Message ehBoxMessage)

      Parameters:
        `exceptions` -
        `ehBoxMessage` -
        `msg` -

    - #### EhboxCryptoException

          public EhboxCryptoException(UnsealConnectorException exception,
                                      Message ehBoxMessage)

      Parameters:
        `exceptions` -
        `ehBoxMessage` -
        `msg` -

  - ### Method Detail

    - #### getEhBoxMessage

          public Message getEhBoxMessage()

      Returns:
        the ehBoxMessage

    - #### getExceptions

          public List<UnsealConnectorException> getExceptions()

      Returns:
        the exceptions

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.